util.c File Reference
`#include "config.h"`
`#include "upnp.h"`
`#include "upnputil.h"`
`#include <string.h>`
Include dependency graph for util.c:

## Functions

void | linecopy (char dest[LINE_SIZE], const char *src)
| Copy no of bytes spcified by the LINE_SIZE constant, from the source buffer. Null terminate the destination buffer. More...
void | namecopy (char dest[NAME_SIZE], const char *src)
| Copy no of bytes spcified by the NAME_SIZE constant, from the source buffer. Null terminate the destination buffer. More...
void | linecopylen (char dest[LINE_SIZE], const char *src, size_t srclen)
| Determine if the srclen passed in paramter is less than the permitted LINE_SIZE. If it is use the passed parameter, if not use the permitted LINE_SIZE as the length parameter. More...

## Detailed Description

Purpose: This file contains functions for copying strings based on different options.

## Function Documentation

## linecopy()

void linecopy | ( | char | dest[LINE_SIZE],
|  | const char * | src
| ) |  |

Copy no of bytes spcified by the LINE_SIZE constant, from the source buffer. Null terminate the destination buffer.

Parameters

  [out] | dest | output buffer.
  [in] | src | input buffer.

## linecopylen()

void linecopylen | ( | char | dest[LINE_SIZE],
|  | const char * | src,
|  | size_t | srclen
| ) |  |

Determine if the srclen passed in paramter is less than the permitted LINE_SIZE. If it is use the passed parameter, if not use the permitted LINE_SIZE as the length parameter.

Copy no of bytes spcified by the LINE_SIZE constant, from the source buffer. Null terminate the destination buffer.

Parameters

  [out] | dest | output buffer.
  [in] | src | input buffer.
  [in] | srclen | bytes to be copied.

## namecopy()

void namecopy | ( | char | dest[NAME_SIZE],
|  | const char * | src
| ) |  |

Copy no of bytes spcified by the NAME_SIZE constant, from the source buffer. Null terminate the destination buffer.

Parameters

  [out] | dest | output buffer.
  [in] | src | input buffer.